Package org.eclipse.m2m.atl.emftvm.launcher

## Class EmftvmLauncherPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.m2m.atl.emftvm.launcher.EmftvmLauncherPlugin

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

    public class EmftvmLauncherPlugin
    extends org.eclipse.ui.plugin.AbstractUIPlugin

EMFTVM Launcher plug-in class.

### Field Summary

Fields
`static java.lang.String` `PLUGIN_ID` The plug-in ID.

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
`EmftvmLauncherPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EmftvmLauncherPlugin` `getInstance()` Returns the plug-in instance.
`static void` `log​(java.lang.Throwable e)` Logs `e` to the Eclipse log.
`static void` `log​(org.eclipse.core.runtime.IStatus status)` Logs `status` to the Eclipse log.
`void` `start​(org.osgi.framework.BundleContext context)`
`void` `stop​(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

The plug-in ID.

See Also:
  Constant Field Values

### Constructor Detail

#### EmftvmLauncherPlugin

    public EmftvmLauncherPlugin()

### Method Detail

#### getInstance

    public static EmftvmLauncherPlugin getInstance()

Returns the plug-in instance.

Returns:
  the instance

#### log

    public static void log​(java.lang.Throwable e)

Logs `e` to the Eclipse log.

Parameters:
  `e` - the exception to log

#### log

    public static void log​(org.eclipse.core.runtime.IStatus status)

Logs `status` to the Eclipse log.

Parameters:
  `status` - the status to log

#### start

    public void start​(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Throws:
  `java.lang.Exception`

#### stop

    public void stop​(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Throws:
  `java.lang.Exception`